Package org.apache.lucene.search.similarities

# Class NormalizationH3

java.lang.Object
org.apache.lucene.search.similarities.Normalization
org.apache.lucene.search.similarities.NormalizationH3

public class NormalizationH3 extends Normalization
Dirichlet Priors normalization

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.search.similarities.Normalization

  `Normalization.NoNormalization`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NormalizationH3()`
  Calls `NormalizationH3(800)`
  `NormalizationH3(float mu)`
  Creates NormalizationH3 with the supplied parameter `μ`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Explanation`
  `explain(BasicStats stats, double tf, double len)`
  Returns an explanation for the normalized term frequency.
  `float`
  `getMu()`
  Returns the parameter `μ`
  `double`
  `tfn(BasicStats stats, double tf, double len)`
  Returns the normalized term frequency.
  `String`
  `toString()`
  Subclasses must override this method to return the code of the normalization formula.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NormalizationH3

    public NormalizationH3()
    Calls `NormalizationH3(800)`

  - ### NormalizationH3

    public NormalizationH3(float mu)
    Creates NormalizationH3 with the supplied parameter `μ`.
    Parameters:
      `mu` - smoothing parameter `μ`

- ## Method Details

  - ### tfn

    public double tfn(BasicStats stats, double tf, double len)
    Description copied from class: `Normalization`
    Returns the normalized term frequency.
    Specified by:
      `tfn` in class `Normalization`
    Parameters:
      `len` - the field length.

  - ### explain

    public Explanation explain(BasicStats stats, double tf, double len)
    Description copied from class: `Normalization`
    Returns an explanation for the normalized term frequency.

    The default normalization methods use the field length of the document and the average field length to compute the normalized term frequency. This method provides a generic explanation for such methods. Subclasses that use other statistics must override this method.

    Overrides:
      `explain` in class `Normalization`

  - ### toString

    public String toString()
    Description copied from class: `Normalization`
    Subclasses must override this method to return the code of the normalization formula. Refer to the original paper for the list.
    Specified by:
      `toString` in class `Normalization`

  - ### getMu

    public float getMu()
    Returns the parameter `μ`
    See Also:
      - `NormalizationH3(float)`